Skip to content
EN

分页查询 PPT 模板(免费

方法: POST路径: /docmee/v1/api/ppt/templates

请求参数

Header 参数

text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
page
integer
必需
size
integer
必需
filters
object
必需
type
integer
必需
示例
{
"page"
:
0
,
"size"
:
0
,
"filters"
:
{
"type"
:
0
}
}

请求示例代码

Shell

bash
curl --location --request POST '/docmee/v1/api/ppt/templates' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "page": 0,
    "size": 0,
    "filters": {
        "type": 0
    }
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
  "code": 0,
  "total": 1,
  "data": [
    {
      "id": "xxx", // 模板ID
      "type": 1, // 模板类型:1大纲完整PPT、4用户模板
      "coverUrl": "https://xxx.png", // 封面
      "category": null, // 类目
      "style": null, // 风格
      "themeColor": null, // 主题颜色
      "subject": "", // 主题
      "num": 20, // 模板页数
      "createTime": "2024-01-01 10:00:00"
    }
  ],
  "message": "操作成功"
}